<?php

namespace Leenooks\SQRL;

class SQRLServiceProvider extends \Illuminate\Support\ServiceProvider
{
	/**
	 * Register services.
	 *
	 * @return void
	 */
	public function register()
	{

	}

	/**
	 * Bootstrap services.
	 *
	 * @return void
	 */
	public function boot()
	{
		$this->loadRoutesFrom(__DIR__.'/routes.php');
		$this->loadViewsFrom(__DIR__.'/views','sqrl');
		$this->loadMigrationsFrom(__DIR__.'/database/migrations');
		$this->mergeConfigFrom(__DIR__.'/config/database.php','database');
		$this->mergeConfigFrom(__DIR__.'/config/sqrl.php','sqrl');
	}
}
